/**************************************************************************

    tefax  -- front end to handle FAXes with efax or mgetty&sendfax
              and certain programms for view and print

    Copyright (C) 1997  Kai Uwe Tempel

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    please send any bug reports, suggestions, greetings etc. to
	temu@server3.medizin.uni-leipzig.de

    or contact me in
	Kai Uwe Tempel, Gaertnerstr. 171, 04209 Leipzig, Germany

    call or fax: +49 341 4126014

***************************************************************************/
/***************************************************************************

    this file was developed by prof. Arnold Beck and copyrights (C) are here

    extentions for comments by Kai Uwe Tempel

***************************************************************************/

#if defined DEBUG

#include <stdio.h>

#define FNAME "DEBUG.dbg"
/* #define FNAME "/dev/tty9" */

FILE *ProtFile;  /* externe und static-Variablen haben bei 
                    Programmstart den Wert 0 (KernRi s. 83) */

#define S(comment, Str) {\
                        if (ProtFile==NULL) ProtFile=fopen(FNAME,"w");\
                        fprintf(ProtFile,#comment ": %s\n",Str);\
                        fclose (ProtFile);\
                        ProtFile=fopen(FNAME,"a");\
                        }

#define I(comment, iVal) {\
                        if (ProtFile==NULL) ProtFile=fopen(FNAME,"w");\
                        fprintf(ProtFile,#comment ": %d\n",iVal);\
                        fclose (ProtFile);\
                        ProtFile=fopen(FNAME,"a");\
                        }

#define C(comment, cVal) {\
                        if (ProtFile==NULL) ProtFile=fopen(FNAME,"w");\
                        fprintf(ProtFile,#comment": %c\n",cVal);\
                        fclose (ProtFile);\
                        ProtFile=fopen(FNAME,"a");\
                        }

#define L(comment, lVal) {\
                        if (ProtFile==NULL) ProtFile=fopen(FNAME,"w");\
                        fprintf(ProtFile,#comment": %ld\n",lVal);\
                        fclose (ProtFile);\
                        ProtFile=fopen(FNAME,"a");\
                        }

#define F(comment, fVal) {\
                        if (ProtFile==NULL) ProtFile=fopen(FNAME,"w");\
                        fprintf(ProtFile,#comment": %g\n",fVal);\
                        fclose (ProtFile);\
                        ProtFile=fopen(FNAME,"a");\
                        }

#define P(comment, pVal) {\
                        if (ProtFile==NULL) ProtFile=fopen(FNAME,"w");\
                        fprintf(ProtFile,#comment": %p\n",pVal);\
                        fclose (ProtFile);\
                        ProtFile=fopen(FNAME,"a");\
                        }

#define U(comment, uVal) {\
                        if (ProtFile==NULL) ProtFile=fopen(FNAME,"w");\
                        fprintf(ProtFile,#comment": %lu\n",uVal);\
                        fclose (ProtFile);\
                        ProtFile=fopen(FNAME,"a");\
                        }
#define A(Argl) {\
                        if (ProtFile==NULL) ProtFile=fopen(FNAME,"w");\
                        fprintf Argl;\
                        fclose (ProtFile);\
                        ProtFile=fopen(FNAME,"a");\
                        }

#else
#define S(comment, Str ) /**/

#define I(comment, iVal) /**/

#define C(comment, cVal) /**/

#define L(comment, lVal) /**/

#define U(comment, uVal) /**/

#define F(comment, uVal) /**/

#define P(comment, uVal) /**/

#define A(Argl) /**/


#endif





