/**************************************************************************

    tefax  -- front end to handle FAXes with efax or mgetty&sendfax
              and certain programms for view and print

    Copyright (C) 1997  Kai Uwe Tempel

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    please send any bug reports, suggestions, greetings etc. to
	temu@server3.medizin.uni-leipzig.de

    or contact me in
	Kai Uwe Tempel, Gaertnerstr. 171, 04209 Leipzig, Germany

    call or fax: +49 341 4126014

***************************************************************************/
/***************************************************************************

tefax scan dir haeder file

***************************************************************************/
/***************************************************************************

sd stellt folgende funktionen zur verfuegung

***************************************************************************/
/***************************************************************************

zum selektieren in der unilist 

***************************************************************************/

int striptofaxlist(struct unilist *root, char *server, char *faxdir, char *faxdir_fmt);

/***************************************************************************

zum aufbau einer dateiliste: get dir entries

***************************************************************************/

char *getdire(const char *server, const char *dir, struct unilist *flist);

/***************************************************************************

zum aufbau einer adressliste

***************************************************************************/

int scanfaxdir(const char *server, const char *faxdir, struct unilist *flist, const char *fdformat);
int updatefaxdir(const char *server, const char *faxdir, struct unilist *flist, 
		 const char *fdformat, const char *fwformat);

