/**************************************************************************

    tefax  -- front end to handle FAXes with efax or mgetty&sendfax
              and certain programms for view and print

    Copyright (C) 1997  Kai Uwe Tempel

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    please send any bug reports, suggestions, greetings etc. to
	temu@server3.medizin.uni-leipzig.de

    or contact me in
	Kai Uwe Tempel, Gaertnerstr. 171, 04209 Leipzig, Germany

    call or fax: +49 341 4126014

***************************************************************************/
/***************************************************************************

tefax selectfile function header file

***************************************************************************/
/***************************************************************************

 stellt folgende funktionen zur verfuegung

***************************************************************************/
/***************************************************************************

zur auswahl von einem oder mehreren dateinamen (letztes zeichen '*')

***************************************************************************/
int selectfile(char *server, char *pfad, struct unilist *forsend, char *helpline);

/***************************************************************************

erstellen von listen mit den ausgewaehlten files

***************************************************************************/
/* im server/pfad werden files mit select/destination  ausgewaehlt, und an 
   die doppelt verkettete liste forsend angehaengt */
int preset_fsl(char *server, char *pfad, 
	       struct unilist *forsend, struct unilist *destination, 
	       int (*select)(const struct unilist *p, const struct unilist *q));

/* mehrfacher aufruf von selectfile mit menue add/del */
int prepare_fsl(char *server, char *pfad, struct unilist *forsend, char *helpline);

