/**************************************************************************

    tefax  -- front end to handle FAXes with efax or mgetty&sendfax
              and certain programms for view and print

    Copyright (C) 1997  Kai Uwe Tempel

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    please send any bug reports, suggestions, greetings etc. to
	temu@server3.medizin.uni-leipzig.de

    or contact me in
	Kai Uwe Tempel, Gaertnerstr. 171, 04209 Leipzig, Germany

    call or fax: +49 341 4126014

***************************************************************************/
/***************************************************************************

tefax main macro header file

***************************************************************************/
/***************************************************************************

 stellt die schnittstellen zur shell zur verfuegung

***************************************************************************/

/* dummi function */
void mm_dummi(void);

/* aufruf des sendeprogramms mit den daten in dr liste p */
void mm_send(char *server, struct unilist *p);

/* anzeige der dateien in der liste root mit g3view */
void mm_g3x(char *server, struct unilist *root);

/* anzeige der dateien in der liste root mit g3vga */
void mm_g3c(char *server, struct unilist *root);

/* anzeige der dateien in der liste root mit gs oder ghostscript bzw. 
** drucken der dateien, je nach angabe in proceed */
void mm_pps(char *server, struct unilist *root, char *convert, char *proceed);

/* anzeige der dateien in der liste root mit xv */
void mm_pgm(char *server, struct unilist *root, char *convert, char *proceed);

/* verschieben der dateien in der liste root in das received verzeichnis */
void mm_delete(char *server, struct unilist *root);

/* loeschen der dateien in der liste root im received verzeichnis */
void mm_kill(char *server, struct unilist *root);

/* editoraufruf zur erstellung eines neuen fax */
int invocingeditor(struct unilist *forsend);





